> For the complete documentation index, see [llms.txt](https://api.clearinghouse.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.clearinghouse.net/api-reference-v2/objects/case/case-status.md).

# Case Status

## case\_status

(*string*)

The `case_status` indicates where a case is in the process of filling out the summary and metadata.

Possible values:

| Value               | Description                                                                                                                                                                                                                 |
| ------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Approved            | The case's summary and metadata are complete.                                                                                                                                                                               |
| Coding Complete     | The case's metadata is complete, but the summary may not have been published yet and is likely awaiting internal review.                                                                                                    |
| In Process (Public) | The case has been added to the Clearinghouse, but work on the summary and metadata has not started or is in progress. There may be a temporary 1-2 sentence summary, but it is likely that there is incomplete information. |

The case status can be helpful in interpreting empty values for some fields. For example, if a case's `order_start_year` is empty and `case_status` is "In Process (Public)", then it's possible the case did have an injunction (or injunctive-like order) but we have yet to enter in that piece of metadata. On the other hand, if `order_start_year` is empty, `case_ongoing` is "No", and `case_status` is "Approved", then there was no injunction (or injunctive-like order) in the case.

## last\_checked\_date

(*string*)

The date that the case was last checked – i.e. the case is up to date as of the `last_checked_date`. This string is in the format `"YYYY-MM-DDTHH:MM:ssTZ"`.

## docket\_status

(*string*)

The status of the main docket for the case.

| Value                         | Description                                                                                                                                                                                           |
| ----------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| null                          | This field has not been set yet. This is likely because the case's metadata is not complete – see [#case\_status](#case_status "mention").                                                            |
| Complete as of retrieval date | The docket is complete up to the date it was last retrieved. The docket entries may be present as [Docket Entry](/api-reference-v2/objects/docket-entry.md) objects or as one of the case's document. |
| Incomplete                    | We have only part of the docket.                                                                                                                                                                      |
| None                          | We have no docket for this case. This might be because there is no docket or because we do not have access to the docket.                                                                             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api.clearinghouse.net/api-reference-v2/objects/case/case-status.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
